<template>
    <div v-if="isShow">
        <!-- <div v-if="isShow" class="text-orange bg-white subtitle-styles" style="padding: 3px 1rem; margin: 2rem auto">Fecha de Llegada del Material</div> -->
        <div class="text-orange bg-white subtitle-styles" style="padding: 3px 1rem; margin: 2rem auto">Fecha Tentativa de Llegada</div>
        <el-row type="flex" style="align-items: center;">
            <el-col :span="2">
                <p>Día:</p>
            </el-col>
            <el-col :span="8">
                <el-date-picker
                    value-format="timestamp"
                    v-model="arrivalDateOfContract"
                    type="date"
                    format="dd/MM/yyyy"
                    size="small"
                    style="width: 100%">
                </el-date-picker>
            </el-col>
        </el-row>
    </div>
</template>

<script>
    export default {
        name: 'componentArrivalDate',
        props: {
            isShow: {
                type: Boolean
            },
            date: {
                type: Number
            }
        },
        data () {
            return {
                arrivalDateOfContract: this.date
            }
        },
        watch: {
            arrivalDateOfContract(val) {
                this.$emit('changeArrivalDate', val)
            },
            date(val) {
                this.arrivalDateOfContract = val
            }
        }
    }
</script>
